mySQL Replication in Rails >= 2.x

Hi all.

We are using "Mysql Replication Adapter" with our Rails 1.2.5 app, and
during the process of upgrading to Rails 2.1.1, there seem to be some
incompatibilities.

Are you successfully using "Mysql Replication Adapter" or a different
adapter for mySQL replication in Rails >= 2.x?

Thanks for any insight.
-Chris